#!/usr/bin/perl


do 'lib.pl';

$zone = $in{'zone'};
$if = $in{'if'};

# A zone to add
if( $in{'new'} ) {
	# create zone
	$whatfailed = 'Fail to create new zone';
	if ( $zone eq '' ) { error('zone field can\'t be empty'); }
	if ( $if eq '' ) { error('interface field can\'t be empty'); }
	if ( $zone eq 'FIREWALL' ) { error('FIREWALL is a reserved word'); }
	my @allitems = $fw->GetAllItemsList();
	foreach my $i (@allitems) {
		if( $i eq $zone ) {
			error(" Item '$zone' already present");
		}
	}
	$fw->AddZone( $zone, $if );
} else {
	if( $in{'delete'} ) {
		# delete zone
		$whatfailed = 'Fail to delete zone';
		$fw->DeleteZone( $zone );
	} else {
		# save zone
		$whatfailed = 'Fail to save zone';
		if ( $if eq '' ) { error('interface field can\'t be empty'); }
		$fw->AddZone( $zone, $if );
	}
}



$fw->SaveFirewall();
redirect( 'xzone.cgi' );






