#!/usr/bin/perl


do 'lib.pl';

&header( $text{'title'}, '', undef, 1 );

showZone();
showNet();
showHost();


print "<br><br>";


sub showZone {
	print "<br>
		<table border width=\"100%\">
			<tr $tb>
				<th width=\"25%\">".&hlink($text{'desc-xzone'}, 'zone')."</th>
				<th width=\"75%\">".&hlink($text{'desc-interface'}, 'nic')."</th>
			</tr>";
	for my $k ($fw->GetZoneList()) {
		my %zone = $fw->GetZone($k);
		print "<tr $cb>";
		print "<td>";
		if( $k eq 'FIREWALL' ) {
			print "<i>$k</i>";
		} else {
			print "<a href=\"edit_zone.cgi?zone=$k\">$k</a>";
		}
		print "</td>";
		print "<td>".$zone{'IF'}."</td>";
		print "</tr>";
	}
	print "</table>\n";
	print '<a href="edit_zone.cgi?new=1">'.$text{'title-create-xzone'}.'</a><br>';
}
sub showNet {
	print "<br>
		<table border width=\"100%\">
			<tr $tb>
				<th width=\"25%\">".&hlink($text{'desc-net'}, 'net')."</th>
				<th width=\"25%\">".&hlink($text{'desc-ipaddr'}, 'desc-ipaddr')."</th>
				<th width=\"25%\">".&hlink($text{'add-rule-netmask'}, 'netmask')."</th>
				<th width=\"25%\">".&hlink($text{'desc-xzone'}, 'zone')."</th>
			</tr>";
	for my $k ($fw->GetNetList()) {
		my %net = $fw->GetNet($k);
		print "<tr $cb>";
		print "<td><a href=\"edit_net.cgi?net=$k\">$k</a></td>";
		print "<td>".$net{'IP'}."</td>";
		print "<td>".$net{'NETMASK'}."</td>";
		print "<td>".$net{'ZONE'}."</td>";
		print "</tr>";
	}
	print "</table>\n";
	print '<a href="edit_net.cgi?new=1">'.$text{'title-create-net'}.'</a><br>';
}
sub showHost {
	print "<br>
		<table border width=\"100%\">
			<tr $tb>
				<th width=\"25%\">".&hlink($text{'desc-host'}, 'host')."</th>
				<th width=\"50%\">".&hlink($text{'desc-ipaddr'}, 'desc-ipaddr')."</th>
				<th width=\"25%\">".&hlink($text{'desc-xzone'},'zone')."</th>
			</tr>";
	for my $k ($fw->GetHostList()) {
		my %host = $fw->GetHost($k);
		print "<tr $cb>";
		print "<td><a href=\"edit_host.cgi?host=$k\">$k</a></td>";
		print "<td>".$host{'IP'}."</td>";
		print "<td>".$host{'ZONE'}."</td>";
		print "</tr>";
	}
	print "</table>\n";
	print '<a href="edit_host.cgi?new=1">'.$text{'title-create-host'}.'</a><br>';
}




&footer('',$text{'index'});












