#!/usr/bin/perl


do 'lib.pl';



$new = $in{'new'};

if( $new ) {
    &header( $text{'add-rule-title'}, '' );
    $idx = '';
    $src = '';
    $dst = '';
    $service = '';
    $port = '';
    $active = 1;

} else {
    &header( $text{'edit-rule-title'}, '' );
    $idx = $in{'idx'};
    %rule = $fw->GetRule($idx);
    $src = $rule{'SRC'};
    $dst = $rule{'DST'};
    $service = $rule{'SERVICE'};
    $port = $rule{'PORT'};
    $active = $rule{'ACTIVE'} ne 'NO';
}

$options_src = '';
$options_dst = '';
@zones = $fw->GetZoneList();
for my $k (@zones) {
    $options_src .= '<option'.($k eq $src ? ' selected' : '').'>'.$k;
    $options_dst .= '<option'.($k eq $dst ? ' selected' : '').'>'.$k;
}
@nets = $fw->GetNetList();
for my $k (@nets) {
    $options_src .= '<option'.($k eq $src ? ' selected' : '').'>'.$k;
    $options_dst .= '<option'.($k eq $dst ? ' selected' : '').'>'.$k;
}
@hosts = $fw->GetHostList();
for my $k (@hosts) {
    $options_src .= '<option'.($k eq $src ? ' selected' : '').'>'.$k;
    $options_dst .= '<option'.($k eq $dst ? ' selected' : '').'>'.$k;
}
@groups = $fw->GetGroupList();
for my $k (@groups) {
    $options_src .= '<option'.($k eq $src ? ' selected' : '').'>'.$k;
    $options_dst .= '<option'.($k eq $dst ? ' selected' : '').'>'.$k;
}

$options_service = '';
$fw->LoadServices( $config{'fwservices_file'} );
for my $k ($fw->GetServicesList()) {
    $options_service .= '<option'.($k eq $service ? ' selected' : '').'>'.$k;
}

print "<br><br>
	<form action=\"save_rule.cgi\" method=\"post\">
	<input type=\"hidden\" name=\"idx\" value=\"$idx\">
	<table border width=\"100%\">
		<tr $tb>
			<th>".($new ? $text{edit_rule_title_create} : $text{edit_rule_title_edit})."</th>
		</tr>
		<tr $cb>
			<td>
			<table width=\"100%\">";
if( !$new ) {
    print		"<tr>
				<td><b>#</b></td>
				<td><b><tt>$idx</tt></b></td>
			</tr>";
}
print			"<tr>
				
                                <td><b>". &hlink($text{'from'}, 'desc-ipaddr') ."</b></td>
				<td><select name=\"src\">$options_src</select></td>
                                <td><img src=images/inarrow.gif border=0></td>   
			</tr>
			<tr>
				

                                <td><b>". &hlink($text{'to'}, 'desc-dest')."</b></td>
				<td><select name=\"dst\">$options_dst</select></td>
                                <td><img src=images/outarrow.gif border=0></td>
			</tr>
			<tr>
				<td><b>". &hlink($text{'add-rule-services'}, 'desc-services')."</b></td>
				<td><select name=\"service\">$options_service</select></td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				
			</tr>
			<tr>
				<td><b>&nbsp;</b></td>";

if ($config{'mode'} eq 0){
    print "<input type=hidden name=active value=0>";
}

print "&nbsp;<td>";
print "<input type=\"radio\" name=\"port\" value=\"1\">";
print &hlink($text{'accept'}, 'desc-input');
print                             "<input type=\"radio\" name=\"port\" value=\"0\">";
print &hlink($text{'drop'}, 'desc-output');


if ($config{'mode'} eq 1){
    print "</td><td $cb>";
    print "<input type=\"radio\" name=\"active\" value=\"1\">";
    print &hlink($text{'Allow'}, desc-allow);
    print "<input type=\"radio\" name=\"active\" value=\"0\">";
    print &hlink($text{'deny'}, desc-deny);
}

print 			"</td></tr>
			</table>
			</td>
		</tr>
	</table>";

print "<table width=\"100%\"><tr>";
if( $new ) {
    print '<td><input type="submit" name="new" value="'.$text{'add-rule-title'}.'"></td>';
} else {
    print '<td><input type="submit" name="save" value="'.$text{'button-save'}.'"></td>';
    print '<td align="right"><input type="submit" name="delete" value="'.$text{'button-delete'}.'"></td>';
}
print "</tr></table>";
print "</form>";

print "<br><br>";
&footer('',$text{'index'});




