#!/usr/bin/perl


do 'lib.pl';
sub showRule {
    print "<br>
		<table border width=\"100%\">
			<tr $tb>
                             <th colspan=7>$text{'info-title-rules'}</th>
                         </tr><tr $tb>
				<th>#</th>
				<th>". &hlink($text{'from'}, 'desc-ipaddr')."</th>
				<th>". &hlink($text{'to'}, 'desc-dest')."</th>
				<th>". &hlink($text{'desc-services'}, 'desc-services')."</th>
				<th>". &hlink($text{'action'}, 'action')."</th>
				<th>". &hlink($text{'deny'}, 'desc-input')."</th>
                                <th>". &hlink($text{'Allow'}, 'desc-output')."</th>
			</tr>";
    my $nRules = $fw->GetRulesCount();
    for( my $i=1; $i<=$nRules; $i++ ) {
	my %attr = $fw->GetRule($i);
	print "<tr $cb>";
	print "<td align=\"center\"><a href=\"edit_rule.cgi?idx=$i\">$i</a></td>";
	print "<td>".$attr{'SRC'}."</td>";
	print "<td>".$attr{'DST'}."</td>";
	print "<td>".$attr{'SERVICE'}."</td>";
	if ( $attr{'PORT'} eq ''){
	    print "<td align=\"center\"><img src=images/ports.jpg border=0></td>";
	}else{
	    print "<td  align=\"center\">";
	    if ($attr{'PORT'} eq 1){
		print $text{'accept'};
	    }else{
		print $text{'drop'};
	    }
	    print "</td>";
	}		
	print "<td align=\"center\">";
	if( $attr{'ACTIVE'} eq 'NO' ) {
	    print "<img src=images/allow.png border=0>";
	} else {
	    print "<img src=images/deny.png border=0>";
	}
	print "</td><td align=\"center\">";
	if( $attr{'ACTIVE'} ne 'NO' ) {
	    print "<img src=images/allow.png border=0>";
	} else {
	    print "<img src=images/deny.png border=0>";
	}
	print "</td>";
	print "</tr>";
    }
    print "</table>\n";

    
    print "<br><br><table border width=\"100%\">
			<tr $tb>
                              <th colspan=6>$text{'redir_ports'}</th>
                        </tr><tr $tb>
			      <th>#</th>
                                
                                <th>". &hlink($text{'s_ip'}, 's_ip')."</th>
				<th>". &hlink($text{'s_port'}, 's_port')."</th>
				<th>". &hlink($text{'p_ip'}, 'p_ip')."</th>
				<th>". &hlink($text{'p_port'}, 'p_port')."</th>
                                <th>". &hlink($text{'action'}, 'action')."</th>
			 </tr>";
    my $nRedirs = $fw->GetRedirsCount();
    for( my $i=1; $i<=$nRedirs; $i++ ) {
	my %attr = $fw->GetRedir($i);
	print "<tr $cb>";
	print "<td align=\"center\"><a href=\"redir_ports.cgi?idx=$i\">$i</a></td>";
	print "<td>".$attr{'S_IP'}."</td>";
	print "<td>".$attr{'S_PORT'}."</td>";
	print "<td>".$attr{'P_IP'}."</td>";
	print "<td>".$attr{'P_PORT'}."</td>";
        print "<td>".$attr{'NAME'}."</td>";
	print "</tr>";
    }
    print "</table><br>\n";


  print "<br><br><table border width=\"100%\">
			<tr $tb>
                              <th colspan=3>$text{'title-fullmask'}</th>
                        </tr><tr $tb>
			      <th>#</th>
                                
                                <th>". &hlink($text{'desc-net'}, 'desc-net')."</th>
				<th>". &hlink($text{'desc-name'}, 'desc-name')."</th>
			 </tr>";
    my $nMasq = $fw->GetMasqsCount();
    for( my $i=1; $i<=$nMasq; $i++ ) {
	my %attr = $fw->GetMasq($i);
	print "<tr $cb>";
	print "<td align=\"center\"><a href=\"full_masq.cgi?idx=$i\">$i</a></td>";
	print "<td>".$attr{'NET'}."</td>";
	print "<td>".$attr{'NAME'}."</td>";
	print "</tr>";
    }
    print "</table><br>\n";


}


&header( $text{'desc-list-rules'},'', '', '', '','',"<a href=rules.cgi?ap=1&apply=apllyrules>$text{'apply-changes'}</a>");
&showRule();

&footer('',$text{'index'});






