#!/usr/bin/perl

do 'lib.pl';

my $host = $in{'host'};
my $ip = $in{'ip'};
my $zone = $in{'zone'};

if( $in{'delete'} ) {
	# delete host
	$whatfailed = 'Fail to delete host';
	$fw->DeleteHost($host);
} else {
	if( $in{'new'} ) {
		$whatfailed = 'Fail to create new host';
		my @allitems = $fw->GetAllItemsList();
		foreach my $i (@allitems) {
			if( $i eq $host ) {
				error(" Item '$host' already present");
			}
		}
	} else {
		$whatfailed = 'Fail to save host';
	}
	if ( $host eq '' ) { error('host name field can\'t be empty'); }
	if ( ! $fw->GetZone($zone) ) { error('wrong zone'); }
	if ( $ip !~ /^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$/ ) { error('wrong ip address'); }
	$fw->AddHost($host, $ip, $zone);
}

$fw->SaveFirewall();
redirect( 'xzone.cgi' );
